Bug 1254684 - Incorporate http://ceph.com/pgcalc form into downstream docs
Incorporate http://ceph.com/pgcalc form into downstream docs
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.2
Assigned To: Erik Newby
Depends On:
  Show dependency treegraph
Reported: 2015-08-18 12:08 EDT by John Wilkins
Modified: 2016-03-01 03:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-01 03:22:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Wilkins 2015-08-18 12:08:05 EDT
In a previous bug, it was noted:

"We in the consulting group and the engineers I frequently talk to have been recommending http://ceph.com/pgcalc as our "go to" for deciding the number of PGs to assign to a given pool."

We should have a page that incorporates the JavaScript and form of http://ceph.com/pgcalc
Comment 2 John Wilkins 2015-08-18 12:20:47 EDT

Can you look at this and see if it's feasible to do this in Drupal?
Comment 3 Daniel Bolton 2015-08-19 07:46:07 EDT

I'll have to check with Erik Newby. I'll add him to this BZ.

Comment 4 Daniel Bolton 2015-08-21 13:56:59 EDT

I've spoken to Erik Newby. Can you provide the markup/content for this page? [1]. If so, I can start work on a new Customer Portal Custom Page if you can provide me with the source.


[1] http://ceph.com/pgcalc
Comment 5 Erik Newby 2015-08-22 13:18:38 EDT
John, if you can provide the above, I believe we can get this working for you. It also looks like there may be some javascript files/libraries used to drive this form. If you can provide those files as well that would be helpful.
Comment 6 John Wilkins 2015-09-14 13:38:18 EDT
Complete. See https://access.redhat.com/labs/cephpgc/
Comment 7 Erik Newby 2015-12-18 08:25:27 EST
Thanks John.
Comment 8 Hemanth Kumar 2016-01-14 02:40:26 EST
Verified the doc

Note You need to log in before you can comment on or make changes to this bug.